## mew-beta 7.0.50~6.8+0.20180607

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_OPTIONS

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=mew
CHG_SUFFIX=`test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1`

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

configure-stamp: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
	ls -1 *dot.* > debian/examples
	touch $@

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE) bin
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	cp -r info info.tmp && cd info.tmp && make info && make jinfo && rm -f *~
	ls -1 info.tmp/mew.*info* > debian/info
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
	rm -rf info.tmp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-arch install-indep
install-indep: DH_OPTIONS=-i
install-indep: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)
	for f in debian/mew*.el; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/$(PKGSNAME); \
	  fi; \
	done
	for f in 00changes.*; do \
	  if [ -f "$$f" ]; then \
	    cp "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.`echo $$f | sed -e s/00changes.//`; \
	  fi; \
	done
	rm -f debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog$(CHG_SUFFIX)
	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)
	if [ -d contrib ]; then \
	  mkdir debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
	fi
	for f in alpha beta; do \
	  if [ -d "$$f" ]; then \
	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE); \
	  fi; \
	done

install-arch: DH_OPTIONS=-a
install-arch: 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE)-bin install-bin
	install -m 755 debian/mewstunnel debian/$(PACKAGE)-bin/usr/bin
	install -m 644 debian/mewstunnel.1 debian/$(PACKAGE)-bin/usr/share/man/man1
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewdecode
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewcat
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewdecode.1*
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewcat.1*

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman 
	dh_installinfo
	dh_installchangelogs 00changes$(CHG_SUFFIX)
	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs 00changes$(CHG_SUFFIX)
	dh_strip
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewdecode.1
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewcat.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch

## mew-beta 7.0.50~6.8+0.20180710

=== debian/control ===
Source: mew-beta
Section: mail
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 11), zlib1g-dev (>= 1:1.1.3)
Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/mew-beta
Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
Homepage: http://www.mew.org/

Package: mew-beta
Section: lisp
Architecture: all
Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: sensible-utils, w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
Replaces: mew
Conflicts: mew
Provides: mew, mail-reader, imap-client, news-reader
Description: mail reader supporting PGP/MIME for Emacs (development version)
 Mew (Messaging in the Emacs World) is a user interface for text messages,
 multimedia messages (MIME), news articles and security functionality
 including PGP, S/MIME, SSH and SSL.
 .
 The features of Mew are as follows:
 .
  - POP, SMTP, NNTP and IMAP are supported.
  - You can easily display a very complicated structured message.
  - You can start to read messages before they are all fully listed.
  - For refiling, default folders are neatly suggested.
  - You can complete field names, e-mail addresses, receiver's names,
    domain names and folder names.
  - You can easily search messages with keywords etc.
  - Thread, a mechanism to display the flow of messages, is supported.
 .
 This package provides a development snapshot version of Mew.  To use a
 stable version of Mew, install the mew package instead of this package.

Package: mew-beta-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: stunnel4 | stunnel, ca-certificates, ruby, ruby-sqlite3
Suggests: hyperestraier
Enhances: mew-beta, gnupg-agent
Replaces: mew-bin
Conflicts: mew-bin, mew-beta (<< 4)
Provides: mew-bin, mail-reader, pinentry
Description: external commands for Mew (development version)
 The mew-beta-bin package contains external commands for the mew-beta package.
 .
  - mewencode: encode/decode MIME objects
  - mewl: extract necessary fields from messages stored in folders
  - incm: incorporate new mails from maildir or mbox to Mew's inbox folder
  - mewest: update indexes of Hyper Estraier
  - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
  - mewstunnel: wrapper script for using stunnel
  - cmew: create Mew's database file
  - smew: search related messages from Mew's database file

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 PKGSNAME=mew
 CHG_SUFFIX=`test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1`
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
 CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
@@ -16,7 +18,7 @@
 
 configure-stamp: configure
 	dh_testdir
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
@@ -40,7 +42,7 @@
 	ls -1 info.tmp/mew.*info* > debian/info
 	touch $@
 
-clean: 
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
@@ -50,7 +52,7 @@
 
 install: install-arch install-indep
 install-indep: DH_OPTIONS=-i
-install-indep: 
+install-indep:
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -79,7 +81,7 @@
 	done
 
 install-arch: DH_OPTIONS=-a
-install-arch: 
+install-arch:
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -101,7 +103,7 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installemacsen
-	dh_installman 
+	dh_installman
 	dh_installinfo
 	dh_installchangelogs 00changes$(CHG_SUFFIX)
 	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc

## mew-beta 7.0.50~6.8+0.20190228

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 11), zlib1g-dev (>= 1:1.1.3)
+Build-Depends: debhelper-compat (= 11), zlib1g-dev (>= 1:1.1.3)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
 Homepage: http://www.mew.org/

=== debian/rules ===
--- 
+++ 
@@ -132,6 +132,9 @@
 	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewcat.1
 	dh_compress
 	dh_fixperms
+	chgrp mail debian/$(PACKAGE)-bin/usr/bin/incm
+	chmod g+s  debian/$(PACKAGE)-bin/usr/bin/incm
+	dh_lintian
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## mew-beta 7.0.50~6.8+0.20190415

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20190415-2) unstable; urgency=medium

  * Update debhelper-compat to 12
  * Skip old flavors emacs23 and emacs22

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 23:09:18 +0900

mew-beta (7.0.50~6.8+0.20190415-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20190415
  * Update 900_changes.patch
  * Drop 040_incm-lock.patch
  * Update debian/copyright
  * Update Standards-Version to 4.4.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Jul 2019 15:15:42 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 11), zlib1g-dev (>= 1:1.1.3)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), zlib1g-dev (>= 1:1.1.3)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
 Homepage: http://www.mew.org/
@@ -12,7 +12,7 @@
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: sensible-utils, w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew

## mew-beta 7.0.50~6.8+0.20200106

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20200106-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20200106
  * Update 900_changes.patch
  * Prefer gpg over gpg2
  * Add Rules-Requires-Root: binary-targets
  * Update Standards-Version to 4.4.1
  * Update debian/copyright
  * Include old mew.texi as a source of upstream mew.*info*

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 06 Jan 2020 21:43:41 +0900

mew-beta (7.0.50~6.8+0.20190826-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20190826
  * Update 900_changes.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 27 Aug 2019 23:43:59 +0900

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 12), zlib1g-dev (>= 1:1.1.3)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
 Homepage: http://www.mew.org/
+Rules-Requires-Root: binary-targets
 
 Package: mew-beta
 Section: lisp

## mew-beta 7.0.50~6.8+0.20200130

=== info/Makefile ===
###
### Makefile for info
###
### Author:  Kazu Yamamoto <Kazu@Mew.org>
### Created: Aug 22, 1999
### Revised: 

###
### (1) make EMACS=xemacs
### (2) make install
###

################################################################
##
## EDIT THE FOLLOWINGS
##

prefix=/usr/local
infodir=$(prefix)/info

EMACS=emacs

INSTALLINFO = `which install-info`
#INSTALLINFO = /usr/local/bin/install-info

#INSTALLINFO_OPTIONS = --section Emacs Emacs
#INSTALLINFO_JOPTIONS =
#infodir = 
INSTALLINFO_ARGS  = --info-dir=$(infodir) mew.info
#INSTALLINFO_ARGS  = mew.info 
INSTALLINFO_JARGS = --info-dir=$(infodir) mew.ja.info


RM = rm -f
MKDIR = mkdir -p
TOUCH = touch
# To save Emacses on Windows
PWD =

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

DESTDIR =

all: info
info:
	sed -e 's/@setfilename mew.ja.info/@setfilename mew.info/' \
	    -e 's/@set ja/@set en/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.info*
	$(TOUCH) mew.info
	$(EMACS) -batch -q -no-site-file \
		--eval "(set-default-coding-systems 'utf-8-unix)" \
		-l texinfmt -f batch-texinfo-format mew.texi

jinfo:
	sed -e 's/@setfilename mew.info/@setfilename mew.ja.info/' \
	    -e 's/@set en/@set ja/' mew.texi > tmp.texi
	mv tmp.texi mew.texi
	$(RM) mew.ja.info*
	$(TOUCH) mew.ja.info
	$(EMACS) -batch -q -no-site-file \
		--eval "(set-default-coding-systems 'utf-8-unix)" \
		-l texinfmt -f batch-texinfo-format mew.texi

install: install-info
install-info:
	-@if [ ! -d $(DESTDIR)$(infodir) ]; then \
		$(MKDIR) $(DESTDIR)$(infodir); \
	fi; \
	cp mew.info* $(DESTDIR)$(infodir)
	-@if [ -z "$(DESTDIR)" ] && [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_OPTIONS) $(INSTALLINFO_ARGS); \
	else \
		echo "Don't forget to edit $(infodir)/dir for Mew."; \
	fi

install-jinfo:
	-@if [ ! -d $(DESTDIR)$(infodir) ]; then \
		$(MKDIR) $(DESTDIR)$(infodir); \
	fi; \
	cp mew.ja.info* $(DESTDIR)$(infodir)
	-@if [ -z "$(DESTDIR)" ] && [ -x "$(INSTALLINFO)" ]; then \
		$(INSTALLINFO) $(INSTALLINFO_JOPTIONS) $(INSTALLINFO_JARGS); \
	else \
		echo "Don't forget to edit $(infodir)/dir for Mew."; \
	fi
##
## End of Makefile
##

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20200130-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20200130
  * Update 900_changes.patch
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 30 Jan 2020 21:41:35 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 12), zlib1g-dev (>= 1:1.1.3)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
 Homepage: http://www.mew.org/

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/pre/~pre/" \
https://www.mew.org/Beta/mew-([0-9].*)\.tar\.gz debian uupdate

## mew-beta 7.0.50~6.8+0.20201202

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20201202-3) unstable; urgency=medium

  * Don't install XEmacs specific contrib/mew-toolbar-frame.el
  * Set mew-ssl-min-prime-bits to nil to use Emacs default value
  * Typo fix in README.Debian
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 09 Jan 2021 08:57:48 +0900

mew-beta (7.0.50~6.8+0.20201202-2) unstable; urgency=medium

  * New patch 500_gnutls.patch to experimental support GnuTLS
    cf. https://groups.google.com/g/mew-ja/c/sSfEPKD_CSM
        https://github.com/hrs-allbsd/Mew
  * New patch 510_xoauth2.patch to experimental support XOAUTH2
    cf. https://groups.google.com/g/mew-ja/c/Hn9L27ll-eY
        https://github.com/yoshinari-nomura/Mew/tree/mew-support-xoauth2
  * Set mew-image-alist for Netpbm 10.0 in emacsen-startup
  * Drop 020_netpbm.patch
  * New patch 090_x-mailer.patch for Emacs micro version
  * Update debian/copyright
  * Update README.Debian to mention experimental features
  * Update debian/watch to version 4
  * Set auth list variables to avoid experimental XOAUTH2
  * Add comments for mew-ssl-default to emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jan 2021 21:51:34 +0900

mew-beta (7.0.50~6.8+0.20201202-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20201202
  * Update 900_changes.patch
  * Drop 080_coding-priority.patch
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 27 Dec 2020 12:42:53 +0900

mew-beta (7.0.50~6.8+0.20200130-2) unstable; urgency=medium

  * New patch 080_coding-priority.patch for Emacs 28
  * Add debian/upstream/metadata
  * Update debhelper-compat to 13
  * No longer recompile mhc

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 05 Sep 2020 10:20:12 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 12), zlib1g-dev (>= 1:1.1.3)
+Build-Depends: debhelper-compat (= 13), zlib1g-dev (>= 1:1.1.3)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
 Homepage: http://www.mew.org/

=== debian/rules ===
--- 
+++ 
@@ -73,6 +73,7 @@
 	if [ -d contrib ]; then \
 	  mkdir debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
 	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
+	  rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/mew-toolbar-frame.el; \
 	fi
 	for f in alpha beta; do \
 	  if [ -d "$$f" ]; then \

## mew-beta 7.0.50~6.8+0.20210113

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20210113-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20210113
  * Update 900_changes.patch
  * Drop 090_x-mailer.patch
  * Drop 030_cache-long-scans.patch
  * Drop emacs25 and emacs24
  * Update README.Debian for TLS/SSL and OpenSSL ciphers
  * Add sample configuration for OpenSSL ciphers to emacsen-startup
  * Rebase 500_gnutls.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Jan 2021 09:23:10 +0900

## mew-beta 7.0.50~6.8+0.20210131

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20210131-2) unstable; urgency=medium

  * New patch 020_locale-utf8.patch to use the C.UTF-8 locale
  * Update dot.mew-theme-subdued.el
  * Update debian/copyright
  * Update Info handling to use makeinfo

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Feb 2021 16:22:42 +0900

mew-beta (7.0.50~6.8+0.20210131-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20210131
  * Update 900_changes.patch
  * Rebase 500_gnutls.patch
  * Add dot.mew-theme-subdued.el to examples
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 31 Jan 2021 21:01:26 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev (>= 1:1.1.3)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24
+Build-Depends-Indep: texinfo
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
@@ -13,7 +13,7 @@
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: sensible-utils, w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
 	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
-	ls -1 *dot.* > debian/examples
+	ls -1 debian/dot.* dot.* > debian/examples
 	touch $@
 
 build: build-arch build-indep
@@ -38,7 +38,7 @@
 
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
-	cp -r info info.tmp && cd info.tmp && make info && make jinfo && rm -f *~
+	cp -r info info.tmp && cd info.tmp && make tmp.texi && makeinfo tmp.texi && make tmpj.texi && makeinfo tmpj.texi && rm -f *~
 	ls -1 info.tmp/mew.*info* > debian/info
 	touch $@

## mew-beta 7.0.50~6.8+0.20210625

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20210625-2) unstable; urgency=medium

  * Use command -v instead of which in mewstunnel

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Aug 2021 17:58:37 +0900

mew-beta (7.0.50~6.8+0.20210625-1) unstable; urgency=medium

  * New upstream version 7.0.50~6.8+0.20210625
  * Update 900_changes.patch
  * Drop 150_cache-save.patch
  * Drop 140_imap-fetch.patch
  * Update 510_xoauth2.patch to 2021-03-30
  * Update no-native-compile handling

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Aug 2021 19:30:04 +0900

mew-beta (7.0.50~6.8+0.20210131-5) experimental; urgency=medium

  * New patch 150_cache-save.patch to fix misuse of decode-syntax

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 May 2021 08:56:43 +0900

mew-beta (7.0.50~6.8+0.20210131-4) experimental; urgency=medium

  * Update no-native-compile handling
  * Set mew-field-comment to empty as workaround for Gmail
  * Update documents for SSL/TLS

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 05 May 2021 21:23:55 +0900

mew-beta (7.0.50~6.8+0.20210131-3) experimental; urgency=medium

  * New patch 140_imap-fetch.patch to prevent redundant blank line
  * Set no-native-compile to t in *.el files for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 May 2021 11:55:54 +0900

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,12 @@
 	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
 	  rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/mew-toolbar-frame.el; \
 	fi
+	for f in debian/$(PACKAGE)/usr/share/$(PKGSNAME)/*.el \
+	         debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/*.el; do \
+	  if [ -f "$$f" ]; then \
+	    perl -pi -e 'if ($$. == 1 && !/no-native-compile:/) { if (!/;/) { s/^/;;; -*--*-\n/ } elsif (!/-\*-.*-\*-/) { s/$$/ -*--*-/ } s/-\*- *emacs-lisp *-\*-/-*-mode: emacs-lisp;-*-/i; s/-\*-/-*-no-native-compile: t;/ }' "$$f"; \
+	  fi; \
+	done
 	for f in alpha beta; do \
 	  if [ -d "$$f" ]; then \
 	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE); \

## mew-beta 7.0.50~6.8+0.20221129

=== info/Makefile ===
--- 
+++ 
@@ -45,25 +45,30 @@
 DESTDIR =
 
 all: info
-info:
+
+info: mew.info
+
+jinfo: mew.ja.info
+
+tmp.texi: mew.texi
 	sed -e 's/@setfilename mew.ja.info/@setfilename mew.info/' \
-	    -e 's/@set ja/@set en/' mew.texi > tmp.texi
-	mv tmp.texi mew.texi
+	    -e 's/@set ja/@set en/' $? > $@
 	$(RM) mew.info*
-	$(TOUCH) mew.info
+
+mew.info: tmp.texi
 	$(EMACS) -batch -q -no-site-file \
 		--eval "(set-default-coding-systems 'utf-8-unix)" \
-		-l texinfmt -f batch-texinfo-format mew.texi
+		-l texinfmt -f batch-texinfo-format $?
 
-jinfo:
+tmpj.texi: mew.texi
 	sed -e 's/@setfilename mew.info/@setfilename mew.ja.info/' \
-	    -e 's/@set en/@set ja/' mew.texi > tmp.texi
-	mv tmp.texi mew.texi
+	    -e 's/@set en/@set ja/' $? > $@
 	$(RM) mew.ja.info*
-	$(TOUCH) mew.ja.info
+
+mew.ja.info: tmpj.texi
 	$(EMACS) -batch -q -no-site-file \
 		--eval "(set-default-coding-systems 'utf-8-unix)" \
-		-l texinfmt -f batch-texinfo-format mew.texi
+		-l texinfmt -f batch-texinfo-format $?
 
 install: install-info
 install-info:

=== debian/changelog ===
mew-beta (7.0.50~6.8+0.20221129-4) unstable; urgency=medium

  * Update GnuTLS documents in README.Debian
  * Do not set mew-ssl-min-prime-bits in emacsen-startup
  * Update debian/watch to use mode=git
  * Use shell functions for PACKAGE and CHG_SUFFIX
  * Add get-orig-source to fetch upstream snapshot tarball

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 23 Jan 2023 22:34:19 +0900

mew-beta (7.0.50~6.8+0.20221129-3) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 22:59:44 +0900

mew-beta (7.0.50~6.8+0.20221129-2) unstable; urgency=medium

  * Prevent native compilation when byte-compiling
  * Update debian/copyright to integrate contrib into debian/patches
  * Relax dependencies on emacs flavors
  * Update Standards-Version to 4.6.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 17 Dec 2022 14:49:37 +0900

mew-beta (7.0.50~6.8+0.20221129-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.0, no changes needed.
  * Remove empty maintainer scripts
  * Remove constraints unnecessary since buster (closes: #1013835)

  [ Tatsuya Kinoshita ]
  * New upstream version 7.0.50~6.8+0.20221129
  * Update 900_changes.patch
  * Rebase 500_gnutls.patch
  * Update 510_xoauth2.patch to disable XOAUTH2 by default
  * Don't set mew-*-auth-list variables in emacsen-startup
  * Avoid egrep in maintainer scripts
  * Update Standards-Version to 4.6.1
  * Update debian/copyright
  * Update lintian override info format
  * Leave a compilation log
  * Don't set no-native-compile to native compile with Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 10 Dec 2022 01:17:18 +0900

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: mail
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev (>= 1:1.1.3)
+Build-Depends: debhelper-compat (= 13), zlib1g-dev
 Build-Depends-Indep: texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mew-beta
 Vcs-Git: https://salsa.debian.org/debian/mew-beta.git
-Homepage: http://www.mew.org/
+Homepage: https://www.mew.org/
 Rules-Requires-Root: binary-targets
 
 Package: mew-beta
 Section: lisp
 Architecture: all
-Depends: mew-beta-bin (>= 5.2.53), emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs-snapshot, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: sensible-utils, w3m-el, gnupg | gnupg2 | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
+Depends: mew-beta-bin, emacsen-common, ${misc:Depends}
+Recommends: emacs-nox | emacs
+Suggests: sensible-utils, w3m-el, gnupg | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
 Replaces: mew
 Conflicts: mew
 Provides: mew, mail-reader, imap-client, news-reader
@@ -44,7 +45,7 @@
 Suggests: hyperestraier
 Enhances: mew-beta, gnupg-agent
 Replaces: mew-bin
-Conflicts: mew-bin, mew-beta (<< 4)
+Conflicts: mew-bin
 Provides: mew-bin, mail-reader, pinentry
 Description: external commands for Mew (development version)
  The mew-beta-bin package contains external commands for the mew-beta package.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 export DH_OPTIONS
 
-PACKAGE=`cat debian/PACKAGE`
+PACKAGE := $(shell sed -n '/^Source:/{s/.*: //;p;q}' debian/control)
 PKGSNAME=mew
-CHG_SUFFIX=`test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1`
+CHG_SUFFIX := $(shell test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1)
 
 include /usr/share/dpkg/architecture.mk
 
@@ -16,16 +16,19 @@
 CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
 LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
 
+get-orig-source:
+	wget -O upstream.tar.gz https://github.com/kazu-yamamoto/Mew/tarball/master
+	ver=`sed 's/.* (//;s/[+-].*//;q' debian/changelog` ymd=`tar ztvf upstream.tar.gz | sed 's/.* \([0-9][0-9][0-9][0-9]\)-\([0-9][0-9]\)-\([0-9][0-9]\) .*/\1\2\3/;q'` && mv -f upstream.tar.gz $(PACKAGE)_$$ver+0.$$ymd.orig.tar.gz
+
 configure-stamp: configure
 	dh_testdir
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
-	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //g" > debian/PACKAGE
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
-	ls -1 00* | egrep -v '(^00copyright$$|^00changes)' > debian/docs
+	ls -1 00* | grep -E -v '(^00copyright$$|^00changes)' > debian/docs
 	ls -1 debian/dot.* dot.* > debian/examples
 	touch $@
 
@@ -45,7 +48,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
+	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
 	rm -rf info.tmp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
@@ -75,12 +78,6 @@
 	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
 	  rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/mew-toolbar-frame.el; \
 	fi
-	for f in debian/$(PACKAGE)/usr/share/$(PKGSNAME)/*.el \
-	         debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/*.el; do \
-	  if [ -f "$$f" ]; then \
-	    perl -pi -e 'if ($$. == 1 && !/no-native-compile:/) { if (!/;/) { s/^/;;; -*--*-\n/ } elsif (!/-\*-.*-\*-/) { s/$$/ -*--*-/ } s/-\*- *emacs-lisp *-\*-/-*-mode: emacs-lisp;-*-/i; s/-\*-/-*-no-native-compile: t;/ }' "$$f"; \
-	  fi; \
-	done
 	for f in alpha beta; do \
 	  if [ -d "$$f" ]; then \
 	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE); \

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=7.0.50~6.8+0.%cd, date=%Y%m%d" \
https://github.com/kazu-yamamoto/Mew HEAD debian uupdate

## mew-beta 7.0.50~6.9+0.20230214

=== elisp/Makefile ===
##
### Makefile.in for byte-compile
###
### Author:  Mew developing team
### Created: Nov 18, 1994
### Revised: Feb 10, 2023

EMACS = emacs
prefix = /usr/local
elispdir = $(prefix)/share/emacs/site-lisp/mew

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

OBJS =	mew-addrbook.elc	mew-attach.elc		mew-auth.elc	\
	mew-blvs.elc		mew-bq.elc		mew-cache.elc	\
	mew-complete.elc	mew-config.elc		mew-const.elc	\
	mew-decode.elc		mew-demo.elc		mew-draft.elc	\
	mew-edit.elc		mew-encode.elc		\
	mew-env.elc		mew-env0.elc	\
	mew-ext.elc		mew-fib.elc		mew-func.elc	\
	mew-gemacs.elc		mew-header.elc		mew-highlight.elc \
	mew-imap.elc		mew-imap2.elc		mew-key.elc	\
	mew-lang-jp.elc		mew-lang-kr.elc		mew-lang-latin.elc \
	mew-local.elc		mew-mark.elc		\
	mew-message.elc		mew-mime.elc		mew-minibuf.elc	\
	mew-mule.elc		mew-mule3.elc	\
	mew-net.elc		mew-nntp.elc		mew-nntp2.elc	\
	mew-pgp.elc		mew-pick.elc		mew-pop.elc	\
	mew-refile.elc		mew-scan.elc		mew-smime.elc	\
	mew-search.elc		mew-smtp.elc		mew-sort.elc	\
	mew-ssh.elc		mew-ssl.elc		mew-passwd.elc	\
	mew-summary.elc		mew-summary2.elc	mew-summary3.elc \
	mew-summary4.elc	mew-syntax.elc		\
	mew-thread.elc		mew-unix.elc		\
	mew-vars.elc		mew-vars2.elc		mew-vars3.elc	\
	mew-varsx.elc		mew-virtual.elc		\
	mew-win32.elc		mew-exec.elc	\
	mew-darwin.elc		mew.elc

SRCS =	mew-addrbook.el	mew-attach.el	mew-auth.el	\
	mew-blvs.el	mew-bq.el	mew-cache.el	\
	mew-complete.el	mew-config.el	mew-const.el	\
	mew-decode.el	mew-demo.el	mew-draft.el	\
	mew-edit.el	mew-encode.el	\
	mew-env.el	mew-env0.el	\
	mew-ext.el	mew-fib.el	mew-func.el	\
	mew-gemacs.el	mew-header.el	mew-highlight.el \
	mew-imap.el	mew-imap2.el	mew-key.el	\
	mew-lang-jp.el	mew-lang-kr.el	mew-lang-latin.el \
	mew-local.el	mew-mark.el	\
	mew-message.el	mew-mime.el	mew-minibuf.el	\
	mew-mule.el	mew-mule3.el	\
	mew-net.el	mew-nntp.el	mew-nntp2.el	\
	mew-pgp.el	mew-pick.el	mew-pop.el	\
	mew-refile.el	mew-scan.el	mew-smime.el	\
	mew-search.el	mew-smtp.el	mew-sort.el	\
	mew-ssh.el	mew-ssl.el	mew-passwd.el	\
	mew-summary.el	mew-summary2.el	mew-summary3.el	\
	mew-summary4.el	mew-syntax.el	\
	mew-thread.el	mew-unix.el	\
	mew-vars.el	mew-vars2.el	mew-vars3.el	\
	mew-varsx.el	mew-virtual.el	\
	mew-win32.el	mew-exec.el	\
	mew-darwin.el	mew.el

TEMPFILE  = temp.el
TEMPFILE2 = temp2.el
DETECT = emacs

CP = cp
RM = rm -f
MKDIR = mkdir -p
# To save Emacses on Windows
PWD =

CNF = config.h config.status config.cache config.log configure.lineno
MK  = Makefile

DESTDIR =

################################################################

all: $(OBJS)

install: install-elisp

################################################################

$(OBJS): el
el: $(TEMPFILE) mew.el
	@echo 'Compiling EL files of Mew ... '
	@echo 'PLEASE IGNORE WARNINGS IF DISPLAYED. TAKE IT EASY!'
	$(EMACS) -batch -q -no-site-file -l ./$(TEMPFILE) -f mew-compile
	@echo 'Compiling EL files of Mew ... done'

$(TEMPFILE):
	@echo '(setq mew-compiling t)' > $(TEMPFILE)
	@echo '(setq load-path (cons "." load-path))' >> $(TEMPFILE)
	@echo '(defun mew-compile () (mapcar (lambda (x) (byte-compile-file x)) (list ' >> $(TEMPFILE)
	@echo $(OBJS) | sed -e 's/\(mew[^ ]*\.el\)c/"\1"/g'  >> $(TEMPFILE)
	@echo ')))' >> $(TEMPFILE)

install-elisp: $(OBJS)
	-@if [ ! -d $(DESTDIR)$(elispdir) ]; then \
		$(MKDIR) $(DESTDIR)$(elispdir); \
	fi
	$(CP) $(SRCS) $(DESTDIR)$(elispdir)
	$(CP) $(OBJS) $(DESTDIR)$(elispdir)

################################################################

detect: $(TEMPFILE2) mew.el
	@echo 'Compiling EL files of Mew ... '
	$(DETECT) -batch -q -no-site-file -l ./$(TEMPFILE2) -f mew-compile
	@echo 'Compiling EL files of Mew ... done'

$(TEMPFILE2):
	@echo '(setq mew-compiling t)' > $(TEMPFILE2)
	@echo '(setq load-path (cons "." load-path))' >> $(TEMPFILE2)
	@echo '(setq hack-local-variables-hook (lambda () (setq lexical-binding t)))' >> $(TEMPFILE2)
	@echo "(defun mew-compile () (mapcar (lambda (x) (byte-compile-file (symbol-name x))) '($(SRCS))))" >> $(TEMPFILE2)

################################################################

clean:
	$(RM) *.elc $(TEMPFILE) $(TEMPFILE2)

distclean:
	$(RM) *.elc $(TEMPFILE) $(TEMPFILE2)

##
## End of Makefile
##

=== debian/changelog ===
mew-beta (7.0.50~6.9+0.20230214-1) experimental; urgency=medium

  * Ready for Mew 6.9+
  * Drop 900_changes.patch
  * Drop debian/mew.texi.old
  * Adjust renamed files for Mew 6.9
  * Adjust patches for GnuTLS and XOAUTH2
  * Update debian/copyright
  * Exclude *.info files from tarball to prevent binary without source
  * New upstream version 7.0.50~6.9+0.20230214

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 14 Feb 2023 22:39:06 +0900

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 PACKAGE := $(shell sed -n '/^Source:/{s/.*: //;p;q}' debian/control)
 PKGSNAME=mew
-CHG_SUFFIX := $(shell test -f 00changes || ls -1 00changes.* | sed s/00changes// | sort -n -t . -k 2,2 -k 3 | tail -1)
+CHG_SUFFIX := $(shell ls -1 CHANGES/v*.md | sed 's!CHANGES/v!!' | sort -n -t . -k 1,1 -k 2,2 -k 3 | tail -1)
 
 include /usr/share/dpkg/architecture.mk
 
@@ -18,6 +18,7 @@
 
 get-orig-source:
 	wget -O upstream.tar.gz https://github.com/kazu-yamamoto/Mew/tarball/master
+	gzip -df upstream.tar.gz && tar --delete --wildcards -f upstream.tar '*/info/*.info' && gzip -9f upstream.tar
 	ver=`sed 's/.* (//;s/[+-].*//;q' debian/changelog` ymd=`tar ztvf upstream.tar.gz | sed 's/.* \([0-9][0-9][0-9][0-9]\)-\([0-9][0-9]\)-\([0-9][0-9]\) .*/\1\2\3/;q'` && mv -f upstream.tar.gz $(PACKAGE)_$$ver+0.$$ymd.orig.tar.gz
 
 configure-stamp: configure
@@ -28,8 +29,8 @@
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
-	ls -1 00* | grep -E -v '(^00copyright$$|^00changes)' > debian/docs
-	ls -1 debian/dot.* dot.* > debian/examples
+	ls -1 API* LICENSE.ja RELEASENOTE* > debian/docs
+	ls -1 debian/dot.* conf/dot.* > debian/examples
 	touch $@
 
 build: build-arch build-indep
@@ -60,29 +61,13 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	cp mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)
-	for f in debian/mew*.el; do \
-	  if [ -f "$$f" ]; then \
-	    cp "$$f" debian/$(PACKAGE)/usr/share/$(PKGSNAME); \
-	  fi; \
-	done
-	for f in 00changes.*; do \
-	  if [ -f "$$f" ]; then \
-	    cp "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.`echo $$f | sed -e s/00changes.//`; \
-	  fi; \
-	done
-	rm -f debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog$(CHG_SUFFIX)
+	cp elisp/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)
 	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)
 	if [ -d contrib ]; then \
 	  mkdir debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
 	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
 	  rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/mew-toolbar-frame.el; \
 	fi
-	for f in alpha beta; do \
-	  if [ -d "$$f" ]; then \
-	    cp -r "$$f" debian/$(PACKAGE)/usr/share/doc/$(PACKAGE); \
-	  fi; \
-	done
 
 install-arch: DH_OPTIONS=-a
 install-arch:
@@ -109,7 +94,7 @@
 	dh_installemacsen
 	dh_installman
 	dh_installinfo
-	dh_installchangelogs 00changes$(CHG_SUFFIX)
+	dh_installchangelogs CHANGES/v$(CHG_SUFFIX)
 	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc
 	dh_compress
 	dh_fixperms
@@ -128,7 +113,7 @@
 	dh_installmenu
 	dh_installman
 	dh_installinfo
-	dh_installchangelogs 00changes$(CHG_SUFFIX)
+	dh_installchangelogs CHANGES/v$(CHG_SUFFIX)
 	dh_strip
 	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
 	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=7.0.50~6.9+0.%cd, date=%Y%m%d" \
https://github.com/kazu-yamamoto/Mew HEAD debian uupdate
